% типы товаров, продающихся в интернет-магазине
primacy(phone).
primacy(tablet).
primacy(player).
primacy(case).
primacy(film).
primacy(folder).
primacy(docstation).
primacy(cable).

% название устройств и принадлежность их какому-либо типу
exemplar(phone,iphone4).
exemplar(phone,iphone3gs).
exemplar(tablet,ipad).
exemplar(tablet,ipad2).
exemplar(player,touch).
exemplar(player,shuffle).
exemplar(player,nano).
exemplar(case,podstavka).
exemplar(case,smart-cover).
exemplar(case,apple-case).
exemplar(film,glossy).
exemplar(film,mat).
exemplar(folder,koja).
exemplar(folder,nekoja).
exemplar(docstation,usual).
exemplar(docstation,video).
exemplar(cable,charging).
exemplar(cable,composite).
exemplar(cable,hdmi).

% пренадлежность товара - либо к устройству (gadget), либо к аксессуару (accessory) 
belonging(ipheone4,gadget).
belonging(iphone3gs,gadget).
belonging(ipad,gadget).
belonging(ipad2,gadget).
belonging(touch,gadget).
belonging(shuffle,gadget).
belonging(nano,gadget).
belonging(podstavka,accessory).
belonging(smart-cover,accessory).
belonging(apple-case,accessory).
belonging(glossy,accessory).
belonging(mat,accessory).
belonging(koja,accessory).
belonging(nekoja,accessory).
belonging(usual,accessory).
belonging(video,accessory).
belonging(charging,accessory).
belonging(composite,accessory).
belonging(hdmi,accessory).

% характеристика каждого товара
description(iphone4,three_and_a_half_inches/front_and_rear_camera/glass/two_kernel/wifi/use_with_accessories).
description(iphone3gs,three_and_a_half_inches/rear_camera/plastic/eight_hundred_and_mhz/wifi_gsm/use_with_accessories).
description(ipad,nine_and_seven_inches/net_camera/aluminium/one_kernel/wifi/use_with_accessories).
description(ipad2,nine_and_seven_inches/front_and_rear_camera/aluminium/two_kernel/wifi_gsm/use_with_accessories).
description(touch,three_and_a_half_inches/front_camera/steel/two_kernel/wifi/use_with_accessories).
description(shuffle,net_ekrana/net_camera/aluminum/net_cpu/no_modules/use_with_film).
description(nano,net_ekrana/rear_camera/aluminum/net_cpu/no_modules/use_with_film).
description(podstavka,noname/plastic).
description(smart-cover,apple/leather).
description(apple-case,apple/plastic).
description(glossy,plastic/net_protection_from_the_sun).
description(mat,plastic/protection_from_the_sun).
description(koja,macally/leather_and_suede).
description(nekoja,noname/plastic).
description(usual,usb/plastic).
description(video,plastic/rca).
description(charging,usb/plastic/noname).
description(composite,rca/plastic/noname).
description(hdmi,hdmi-usb/plastic/apple).


% предикат, показывающий инфу о товарах в магазине

% X - тип товара
% Y - название товара
% Z - принадлежность товара либо к устройству (gadget), либо к аксессуару (accessory)
% E - характеристика товара

alive(X,Y,Z,E):-
	primacy(X),
	exemplar(X,Y),
	belonging(Y,Z),
	description(Y,E).
